#
# auto=true priority=critical preseed/url=http://easimer.net/public/deb-ps/feleves.conf
#

d-i debian-installer/language string en
d-i debian-installer/country string HU
d-i debian-installer/locale string en_US.UTF-8
d-i keyboard-configuration/xkb-keymap select us

d-i netcfg/choose_interface select auto
d-i netcfg/get_hostname string vsc
d-i netcfg/get_domain string meszarosszabo
d-i netcfg/wireless_wep string

d-i hw-detect/load_firmware boolean true

d-i mirror/country string manual
d-i mirror/http/hostname string ftp.hu.debian.org
d-i mirror/http/directory string /debian

d-i passwd/make-user boolean false
d-i passwd/root-password password sis123
d-i passwd/root-password-again password sis123

d-i clock-setup/utc boolean true
d-i time/zone string Europe/Budapest
d-i clock-setup/ntp boolean true

d-i partman-auto/method string lvm
d-i partman-lvm/device_remove_lvm boolean true
d-i partman-md/device_remove_md boolean true
d-i partman-lvm/confirm boolean true
d-i partman-lvm/confirm_nooverwrite boolean true
d-i partman-auto/choose_recipe select atomic

d-i partman-partitioning/confirm_write_new_label boolean true
d-i partman/choose_partition select finish
d-i partman/confirm boolean true
d-i partman/confirm_nooverwrite boolean true

tasksel tasksel/first multiselect standard
d-i pkgsel/include string openssh-server

d-i grub-installer/only_debian boolean true
d-i grub-installer/bootdev string default

d-i preseed/late_command string in-target mkdir -p /root/.ssh; \
in-target /bin/sh -c "echo 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGufIYNz6Nu7D6tLBi1Et957rkLd5Mjz7O0eeZdZgfBh guest' >> /root/.ssh/authorized_keys"; \
in-target chown -R root:root /root/.ssh/

d-i finish-install/reboot_in_progress note
